<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:background="#f6f7f9">

    <LinearLayout
        android:id="@+id/ll_bar"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="15dp"
            android:visibility="invisible"
            android:background="@drawable/ic_back_video" />

        <TextView
            android:id="@+id/tv_room_number"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="40dp"
            android:layout_marginTop="15dp"
            android:gravity="center_horizontal"
            android:text="1111"
            android:textColor="#0C1D31"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/tv_leave"
            android:layout_width="60dp"
            android:layout_height="28dp"
            android:textColor="@color/white"
            android:gravity="center"
            android:textSize="14sp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/trtccalling_shape_leave"
            android:text="离开" />

    </LinearLayout>

    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_1"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/trtc_view_me"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/trtc_view_2"
        app:layout_constraintTop_toBottomOf="@id/ll_bar"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_1"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_1"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_1"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_1"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>



    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_below="@id/trtc_view_1"
        android:layout_alignParentRight="true"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_1"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/trtc_view_1"
        app:layout_constraintRight_toLeftOf="@id/trtc_view_4"
        app:layout_constraintTop_toBottomOf="@id/ll_bar"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_2"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_2"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_2"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_2"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>

    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_me"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/trtc_view_5"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/trtc_view_3"
        app:layout_constraintTop_toBottomOf="@id/trtc_view_1"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_me"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_me"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_me"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_me"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_me"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_audio_me"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>


    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_below="@id/trtc_view_2"
        android:layout_alignParentRight="true"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_me"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/trtc_view_me"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/trtc_view_me"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_3"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_3"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_3"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_3"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>


    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_4"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_alignTop="@+id/trtc_view_3"
        android:layout_alignParentLeft="true"
        android:layout_marginLeft="15dp"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_1"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/trtc_view_2"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/trtc_view_1"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_3"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_3"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_4"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_4"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>


    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_5"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_alignTop="@+id/trtc_view_2"
        app:layout_constraintBottom_toTopOf="@id/ll_bottom"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="@id/trtc_view_me"
        app:layout_constraintTop_toBottomOf="@id/trtc_view_me"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_5"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_5"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_5"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_5"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_5"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>


    <com.tencent.rtmp.ui.TXCloudVideoView
        android:id="@+id/trtc_view_6"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_5"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/trtc_view_5"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/trtc_view_5"
        app:layout_constraintVertical_weight="1" />

    <LinearLayout
        android:id="@+id/ll_user_6"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="@id/trtc_view_6"
        app:layout_constraintBottom_toBottomOf="@id/trtc_view_6"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/trtccalling_shape_white_r_10"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:gravity="center_vertical"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_name_6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/color_2D2F33"
            android:textSize="12sp"
            />

        <ImageView
            android:id="@+id/iv_network_6"
            android:layout_width="17dp"
            android:layout_height="10dp"
            android:src="@drawable/trtccalling_ic_network_excellent"
            android:layout_marginStart="8dp"
            />

        <ImageView
            android:id="@+id/iv_other_audio_6"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/trtccalling_ic_other_audio_open" />

    </LinearLayout>


    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <LinearLayout
            android:id="@+id/btn_audio"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_audio"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@drawable/trtccalling_ic_me_audio_open" />

            <TextView
                android:id="@+id/tv_audio"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="麦克风已开启"
                android:textColor="@color/color_8595a9"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/btn_video"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_video"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@drawable/trtccalling_ic_me_video_open" />

            <TextView
                android:id="@+id/tv_video"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:text="摄像头已开启"
                android:textColor="@color/color_8595a9"
                android:textSize="14sp" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>